Package org.jboss.classfilewriter

# Interface ClassFactory

public interface ClassFactory
Class definition factory.

Author:
  Richard Opalka

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`defineClass(ClassLoader loader, String name, byte[] b, int off, int len, ProtectionDomain protectionDomain)`
Converts an array of bytes into an instance of class `Class`.

## Method Details

### defineClass

Class<?> defineClass(ClassLoader loader, String name, byte[] b, int off, int len, ProtectionDomain protectionDomain) throws ClassFormatError
Converts an array of bytes into an instance of class `Class`.

Parameters:
  `loader` - The classloader to be used for class definition.
  `name` - The expected binary name of the class, or `null` if not known
  `b` - The bytes that make up the class data. The bytes in positions `off` through `off+len-1` should have the format of a valid class file as defined by The Java™ Virtual Machine Specification.
  `off` - The start offset in `b` of the class data
  `len` - The length of the class data
  `protectionDomain` - The ProtectionDomain of the class
Returns:
  The `Class` object that was created from the specified class data.
Throws:
  `ClassFormatError` - If the data did not contain a valid class